# -*- encoding: utf-8 -*-
# stub: sensu-plugins-mailer 4.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-mailer".freeze
  s.version = "4.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2019-03-17"
  s.description = "Provides mail output for Sensu".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["handler-mailer.rb".freeze, "handler-mailer-ses.rb".freeze, "handler-mailer-mailgun.rb".freeze]
  s.files = ["bin/handler-mailer-mailgun.rb".freeze, "bin/handler-mailer-ses.rb".freeze, "bin/handler-mailer.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-mailer".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for mailer".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-ses>.freeze, ["= 0.6.0"])
    s.add_runtime_dependency(%q<mail>.freeze, ["= 2.6.3"])
    s.add_runtime_dependency(%q<mailgun-ruby>.freeze, ["= 1.0.3"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<erubis>.freeze, ["= 2.7.0"])
    s.add_runtime_dependency(%q<ruby-ntlm>.freeze, ["= 0.0.3"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<aws-ses>.freeze, ["= 0.6.0"])
    s.add_dependency(%q<mail>.freeze, ["= 2.6.3"])
    s.add_dependency(%q<mailgun-ruby>.freeze, ["= 1.0.3"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<erubis>.freeze, ["= 2.7.0"])
    s.add_dependency(%q<ruby-ntlm>.freeze, ["= 0.0.3"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
